name: "mocks-{{.Release.Name}}"
function: testing
domain: mocks
instances: ["01", "02", "03", "04", "05", "06", "07", "08", "09"]
{{- $DishMasterIdentifier := .Values.deviceServers.subarraynode.mid.DishMasterIdentifier }}
entrypoints:
  - name: "ska_tmc_common.test_helpers.helper_subarray_device.HelperSubArrayDevice"
  - name: "ska_tmc_common.test_helpers.helper_sdp_subarray.HelperSdpSubarray"
  - name: "ska_tmc_common.test_helpers.helper_sdp_subarray_leaf_device.HelperSdpSubarrayLeafDevice"
  - name: "ska_tmc_common.test_helpers.helper_csp_subarray_leaf_device.HelperCspSubarrayLeafDevice"
  - name: "ska_tmc_common.test_helpers.helper_dish_device.HelperDishDevice"
  - name: "ska_tmc_common.test_helpers.helper_dish_ln_device.HelperDishLNDevice"
  - name: "ska_tmc_common.test_helpers.helper_sdp_queue_connector_device.HelperSdpQueueConnector"

server:
  name: "mocks"
  instances:
    - name: "01"
      classes:
      - name: "HelperSubArrayDevice"
        devices:
        {{- if .Values.deviceServers.mocks.component.csp }}
        - name: "mid-csp/subarray/01"
        {{- end }}

    - name: "02"
      classes:
      - name: "HelperCspSubarrayLeafDevice"
        devices:
        {{- if .Values.deviceServers.mocks.component.csp }}
        - name: "mid-tmc/subarray-leaf-node-csp/01"
        {{- end }}

    - name: "03"
      classes:
      - name: "HelperSdpSubarrayLeafDevice"
        devices:
        {{- if .Values.deviceServers.mocks.component.sdp }}
        - name: "mid-tmc/subarray-leaf-node-sdp/01"
        {{- end }}

    - name: "04"
      classes:
      - name: "HelperSdpSubarray"
        devices:
        {{- if .Values.deviceServers.mocks.component.sdp }}
        - name: "mid-sdp/subarray/01"
        {{- end }}

    - name: "05"
      classes:
      {{- if .Values.deviceServers.mocks.component.dish }}
      - name: "HelperDishLNDevice"
        devices:
        - name: "mid-tmc/leaf-node-dish/ska001"
          properties:
          - name: "DishMasterFQDN"
            values:
              - "mid-dish/dishmanager/ska001"
      {{- end }}

    - name: "06"
      classes:
      {{- if .Values.deviceServers.mocks.component.dish }}
      - name: "HelperDishLNDevice"
        devices:
        - name: "mid-tmc/leaf-node-dish/ska002"
      {{- end }}

    - name: "07"
      classes:
      {{- if .Values.deviceServers.mocks.component.dish }}
      - name: "HelperDishLNDevice"
        devices:
        - name: "mid-tmc/leaf-node-dish/ska036"
          properties:
          - name: "DishMasterFQDN"
            values:
              - "mid-dish/dishmanager/ska036"
        - name: "mid-tmc/leaf-node-dish/ska063"
          properties:
          - name: "DishMasterFQDN"
            values:
              - "mid-dish/dishmanager/ska063"
        - name: "mid-tmc/leaf-node-dish/ska100"
          properties:
          - name: "DishMasterFQDN"
            values:
              - "mid-dish/dishmanager/ska100"
      {{- end }}

    - name: "08"
      classes:
      {{- if .Values.deviceServers.mocks.component.dish }}
      - name: "HelperDishDevice"
        devices:
        {{- range  (.Values.deviceServers.subarraynode.mid.DishIDs)  }}
        - name: "{{ . | lower }}/{{ $DishMasterIdentifier }}"
        {{- end }}
      {{- end }}

    - name: "09"
      classes:
      - name: "HelperSdpQueueConnector"
        devices:
        - name: "mid-sdp/queueconnector/01"

depends_on:
  - device: sys/database/2
image:
  registry: "{{.Values.subarray_node.image.registry}}"
  image: "{{.Values.subarray_node.image.image}}"
  tag: "{{.Values.subarray_node.image.tag}}"
  pullPolicy: "{{.Values.subarray_node.image.pullPolicy}}"
